
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 风险评价计划附件表
    /// </summary>
    [Description("风险评价计划附件表")]
    public class T_HM_HAZARD_TASK_FILE : MesEntityBase
    {
        /// <summary>
        /// 计划ID
        /// </summary>
        [Description("计划ID")]
        [DataFieldForeignKey("Nav_Task", "Nav_Files")]
        public Guid TASK_ID { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }
        
        /// <summary>
        /// 导航属性：计划
        /// </summary>
        [Description("导航属性：计划")]
        public T_HM_HAZARD_TASK Nav_Task { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
